> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# CloseMembers

This function closes member accounts in the same manner as closing an account through the Docusign web console.

CloseMembers takes the argument:

## Schema

| Name      | Schema Type   | Description                                                      |
| --------- | ------------- | ---------------------------------------------------------------- |
| AccountId | String        | The account ID associated with the member accounts being closed. |
| UserIds   | ArrayofString | An array with the User IDs for the member accounts being closed. |

## Sample Request XML

```
POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: demo.docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/CloseMembers"

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <CloseMembers xmlns="http://www.docusign.net/API/AccountManagement">
         <AccountId>string</AccountId>
         <UserIds>
            <string>string</string>
            <string>string</string>
         </UserIds>
      </CloseMembers>
   </soap:Body>
</soap:Envelope>
```

The response contains the overall success or failure of the call. If successful, the response contains the Members result information below. If the call fails an [error code](/docs/esign-rest-api/esign101/error-codes) is provided.

| Name      | Schema Type         | Description                                                                                            |
| --------- | ------------------- | ------------------------------------------------------------------------------------------------------ |
| Members   | ArrayOfMemberResult | An array with member information for the accounts being closed. See MemberResult for more information. |
| DateStamp | dateTime            | The data time stamp for when the member account was closed.                                            |

## Sample Response XML

```
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
   <soap: Body>
      <CloseMembersResponse xmlns="http://www.docusign.net/API/AccountManagement">
         <CloseMembersResult>
            <Success>boolean</Success>
            <Members>
               <Member>
                  <UserId>string</UserId>
                  <EncryptedPassword>string</EncryptedPassword>
                  <MembershipId>string</MembershipId>
                  <Success>boolean</Success>
                  <Error xsi:nil="true" />
               </Member>
               <Member>
                  <UserId>string</UserId>
                  <EncryptedPassword>string</EncryptedPassword>
                  <MembershipId>string</MembershipId>
                  <Success>boolean</Success>
                  <Error xsi:nil="true" />
               </Member>
            </Members>
            <DateStamp>dateTime</DateStamp>
            <Error>
               <ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed or Hourly_API_Invocation_Limit_Exceeded or Initialize_Client_Account_Error</ErrorCode>
               <Description>string</Description>
            </Error>
         </CloseMembersResult>
      </CloseMembersResponse>
   </soap:Body>
</soap:Envelope>
```